# Interface SearchDirectiveListeners<T>

#### Type Parameters

- #### T

#### Hierarchy

- SearchDirectiveListeners

- Defined in src/search/searchDirective.js:25

#####
Index

### Properties

autocomplete
change
close
cursorchange
datasetsempty
open
select

## Properties

### autocomplete

autocomplete: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void)

#### Type declaration

- - (arg0: Event, arg1: T, arg2: Dataset<T>): void

  - #### Parameters

    - ##### arg0: Event

    - ##### arg1: T

    - ##### arg2: Dataset<T>

    #### Returns void

- Defined in src/search/searchDirective.js:30

### change

change: ((arg0: Event, arg1: string) => void)

#### Type declaration

- - (arg0: Event, arg1: string): void

  - #### Parameters

    - ##### arg0: Event

    - ##### arg1: string

    #### Returns void

- Defined in src/search/searchDirective.js:32

### close

close: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/search/searchDirective.js:27

### cursorchange

cursorchange: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void)

#### Type declaration

- - (arg0: Event, arg1: T, arg2: Dataset<T>): void

  - #### Parameters

    - ##### arg0: Event

    - ##### arg1: T

    - ##### arg2: Dataset<T>

    #### Returns void

- Defined in src/search/searchDirective.js:28

### datasetsempty

datasetsempty: ((arg0: Event, arg1: string, arg2: boolean) => void)

#### Type declaration

- - (arg0: Event, arg1: string, arg2: boolean): void

  - #### Parameters

    - ##### arg0: Event

    - ##### arg1: string

    - ##### arg2: boolean

    #### Returns void

- Defined in src/search/searchDirective.js:31

### open

open: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/search/searchDirective.js:26

### select

select: ((arg0: Event, arg1: T, arg2: Dataset<T>) => void)

#### Type declaration

- - (arg0: Event, arg1: T, arg2: Dataset<T>): void

  - #### Parameters

    - ##### arg0: Event

    - ##### arg1: T

    - ##### arg2: Dataset<T>

    #### Returns void

- Defined in src/search/searchDirective.js:29

Generated using TypeDoc